Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062829 - freewrl crashes with assertion failure
Summary: freewrl crashes with assertion failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freewrl
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 05:42 UTC by Frédéric
Modified: 2014-02-22 00:50 UTC (History)
2 users (show)

Fixed In Version: freewrl-1.22.13.1-12.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-22 00:50:25 UTC


Attachments (Terms of Use)
wrl input file (deleted)
2014-02-08 05:42 UTC, Frédéric
no flags Details

Description Frédéric 2014-02-08 05:42:50 UTC
Created attachment 860825 [details]
wrl input file

Description of problem:

When I run freewrl to open a .wrl file, it crashes with an assertion failure.

Version-Release number of selected component (if applicable):
1.22.13

How reproducible:
always


Steps to Reproduce:
1. in a terminal:
$ freewrl sRGB.wrl

Actual results:
wl_startFreeWRL called
opengl version=4.4.0 NVIDIA 331.38
get_current_dir returns[/home/fred/Documents/bin/]
freewrl: fcmatch.c:697: IA__FcFontMatch: Assertion `result != ((void *)0)' failed.
Abandon (core dumped)

Expected results:
see something in a graphical window.

the wrl file was created with argylcms package:
iccgamut -w sRGB.icc

Comment 1 Tom "spot" Callaway 2014-02-09 17:03:54 UTC
I think I have this fixed. Please test when the update posts!

Comment 2 Fedora Update System 2014-02-10 00:15:15 UTC
freewrl-1.22.13.1-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freewrl-1.22.13.1-12.fc20

Comment 3 Fedora Update System 2014-02-11 23:15:43 UTC
Package freewrl-1.22.13.1-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freewrl-1.22.13.1-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2309/freewrl-1.22.13.1-12.fc20
then log in and leave karma (feedback).

Comment 4 Frédéric 2014-02-14 22:23:39 UTC
tested: fixed. Many thanks.

Comment 5 Fedora Update System 2014-02-22 00:50:25 UTC
freewrl-1.22.13.1-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.